BindException Class Reference

Signals that an error occurred while attempting to bind a socket to a local address and port. More...

Inheritance diagram for BindException:

## Public Member Functions

| BindException (log4cxx_status_t status)
| BindException (const BindException &)
BindException & | operator= (const BindException &)
Public Member Functions inherited from SocketException
| SocketException (const LogString &msg)
| SocketException (log4cxx_status_t status)
| SocketException (const SocketException &)
SocketException & | operator= (const SocketException &)
Public Member Functions inherited from IOException
| IOException ()
| IOException (log4cxx_status_t stat)
| IOException (const LogString &msg)
| IOException (const IOException &src)
IOException & | operator= (const IOException &)
Public Member Functions inherited from Exception
| Exception (const char *msg)
| Exception (const LogString &msg)
| Exception (const Exception &src)
Exception & | operator= (const Exception &src)
const char * | what () const throw ()

## Detailed Description

Signals that an error occurred while attempting to bind a socket to a local address and port.

Typically, the port is in use, or the requested local address could not be assigned.

## Constructor & Destructor Documentation

BindException | ( | log4cxx_status_t | status | ) |

BindException | ( | const BindException & |  | ) |

## Member Function Documentation

BindException& operator= | ( | const BindException & |  | ) |

The documentation for this class was generated from the following file:

- exception.h